Update a node

View as Markdown

Update a node.

Required scope: air:simulation_edit (roles: air_org_admin, air_user)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this node.

Request

This endpoint expects an object.
namestringOptional>=1 character

The hostname of the node; this must be unique.

imagestringOptionalformat: "uuid"
The image representing the operating system of the node.
cpuintegerOptional>=1
Number of CPU cores.
memoryintegerOptional>=1024
RAM, in MiB.
storageintegerOptional>=10
Disk space, in GB.
pos_xintegerOptional
The horizontal coordinate position in the UI.
pos_yintegerOptional
The vertical coordinate position in the UI.
labelsobjectOptional

Labels which can be specified on the node. Fields not specified in the payload schema will be completely ignored. If updating, the data provided will completely replace existing labels: attempting to PATCH specific labels will delete the other labels.

metadatastring or nullOptional<=1048576 characters
Custom metadata as a JSON string. This field does not affect the runtime of the node or simulation. It is provided for clients to store metadata about the node for their own purposes.
advancedobjectOptional
Advanced configuration associated with the node.
cdromobject or nullOptional

CD-ROM assignment for this node. Provide {"image": <id>} to attach or replace the CD-ROM image, or null to eject.

storage_pcimap from strings to objects or nullOptional
Storage PCI elements associated with the node.
management_macstringOptional>=1 character

Write-only legacy alias for the eth0 entry of management_interfaces. The MAC address of the management interface.

management_ipstringOptionalformat: "ipv4">=1 character

Write-only legacy alias for the eth0 entry of management_interfaces. The IPv4 address of the management interface.

management_interfacesmap from strings to objectsOptional

Dict mapping interface names (e.g. “eth0”, “eth1”) to management address info with optional keys “ip” (IPv4) and “mac_address”. Mutually exclusive with management_ip and management_mac.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
namestring

The hostname of the node; this must be unique.

simulationstringRead-onlyformat: "uuid"
imagestringformat: "uuid"
The image representing the operating system of the node.
categoryenumRead-only

The Air specific category the node belongs to.

  • “ - None
  • SERVER - Server
  • SWITCH - Switch
  • OOB_SERVER - OOB Management Server
  • OOB_SWITCH - OOB Management Switch
stateenum

The state of the node w.r.t. the simulation life cycle.

  • INACTIVE - Inactive
  • BOOTING - Booting
  • ACTIVE - Active
  • SHUTTING_DOWN - Shutting down
  • ERROR - Error
  • REBUILDING - Rebuilding
status_from_workerstringRead-only

The last known status of the node reported by the worker. This is the libvirt status of the VM/container.

split_optionsany or nullRead-only
A list of possible split options for interfaces for this node
cloud_initobject

Cloud-Init assignment for this node, if any.

cpuintegerOptional>=1
Number of CPU cores.
memoryintegerOptional>=1024
RAM, in MiB.
storageintegerOptional>=10
Disk space, in GB.
pos_xintegerOptional
The horizontal coordinate position in the UI.
pos_yintegerOptional
The vertical coordinate position in the UI.
labelsobjectOptional

Labels which can be specified on the node. Fields not specified in the payload schema will be completely ignored. If updating, the data provided will completely replace existing labels: attempting to PATCH specific labels will delete the other labels.

metadatastring or nullOptional<=1048576 characters
Custom metadata as a JSON string. This field does not affect the runtime of the node or simulation. It is provided for clients to store metadata about the node for their own purposes.
advancedobjectOptional
Advanced configuration associated with the node.
cdromobject or nullOptional

CD-ROM assignment for this node. Provide {"image": <id>} to attach or replace the CD-ROM image, or null to eject.

storage_pcimap from strings to objects or nullOptional
Storage PCI elements associated with the node.
management_interfacesmap from strings to objectsOptional

Dict mapping interface names (e.g. “eth0”, “eth1”) to management address info with optional keys “ip” (IPv4) and “mac_address”. Mutually exclusive with management_ip and management_mac.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error